cordova.define("com.triedtech.triedapp.plugins.pushservice.PushService", function (require, exports, module) {

    var exec = require('cordova/exec');

    var pushservice = {

            /**
             *  注册推送服务服务
             *  @params {Function} success
             */
            register: function (success) {
                var key = T.AppConfig ? T.AppConfig.appId : "437cbd737d0b4be6807e5958660ccffb";
                exec(null, null, "PushService", "register", [key]);
            },
            /**
             * :上传设备信息
             * @param pushInfo
             * @param IMEI
             */
            registerSuccess: function (user_id,channel_id, IMEI) {
                var deviceInfo = Ext.merge({}, window.device, {imei: IMEI});
                delete deviceInfo.available;
                var request = {
                    access_key: T.AppConfig.appId,
                    "baidu": {
                        "channel_id": user_id,
                        "user_id": channel_id
                    },
                    device: deviceInfo
                };
                Ext.Ajax.request({
                        url: "http://api2.triedapp.com/info",
                        method: "POST",
                        headers: {
                            AccessKey: T.AppConfig.appId
                        },
                        jsonData: request,
                        callback :function(options,success,response){
                            if(response.status == 200){
                                console.log("push service open");
                            }
                        }
                    }
                );
            },
            setTag: function (tag) {
                exec(null, null, "PushService", "setTag", [tag]);
            },
            delTag: function (tag) {
                exec(null, null, "PushService", "delTag", [tag]);
            }
        }
        ;

    module.exports = pushservice;
})
;
