/**
 * @class L
 * language package
 * @singleton
 */
(function () {
    var global = this;
    if (typeof L === 'undefined') {
        global.L = {};
    }
    global.L = {
        EXIT: "退出",
        EXIT_MESSAGE: "你确定要退出吗？",
        BACK: "返回",
        OPENGPS_ACCURATE: "提高位置的精确度",
        SETTINGS_GPS: "在位置设置中打开GPS",
        NETWORK_ERR: "网络异常",
        DATA_EMPTY: "数据为空",
        PULL_REFRESH: "下拉刷新",
        LAST_UPDATED: "更新于",
        RELEASE_REFRESH: "松开刷新",
        LOADING: "加载中",
        HOME: '首页',
        NEW_COMMENTS: '最新评论',
        TOURIST: '游客',
        SEE_MORE_COMMENT: '查看更多评论',
        COMMENT_BTN_TEXT: '我来说两句',
        COMMENT: '评论',
        COMMENT_SUCCESS: '评论成功',
        ASSESSMENT: '累计评论',
        NO_COMMENT: '暂时没评论',
        PRODUCT_DETAIL: '商品详情',
        PRODUCT_PARAMETER: '产品参数',
        TRIEDTECH: '深圳创益德科技有限公司',
        TRIEDTECH_TEXTBOX:"<div style=\"margin:0 auto;width:300px;font-size: 12px;font-family: \"微软雅黑\";color: #333333\"><div style=\"height:20px;\">电玩店</div><hr><div style=\"float:left;width:list-style:nont;margin:0;padding:0;width:200px\"><ul><li>地  址：广东深圳市南山区世界之窗</li></ul></div></div>",
        ExtLanPacInit: function () {
            Date.dayNames = ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
            Date.monthNames = ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月",
                "九月", "十月", "十一月", "十二月"];
            Date.monthNumbers = {
                "一月": 1,
                "二月": 2,
                "三月": 3,
                "四月": 4,
                "五月": 5,
                "六月": 6,
                "七月": 7,
                "八月": 8,
                "九月": 9,
                "十月": 10,
                "十一月": 11,
                "十二月": 12
            };
            Date.getShortMonthName = function (a) {
                return Date.monthNames[a]
            };
            Date.getShortDayName = function (a) {
                return Date.dayNames[a]
            };
            Date.getMonthNumber = function (a) {
                return Date.monthNumbers[a]
            };
            if (Ext.picker) {
                Ext.define('Ext.picker.PickerOverride', {
                    override: 'Ext.picker.Picker',
                    doneText: "Done"
                });
                if (Ext.picker.Date) {
                    Ext.define('Ext.picker.DateOverride', {
                        override: 'Ext.picker.Date',
                        dayText: "天",
                        monthText: "月",
                        yearText: "年",
                        slotOrder: ["month", "day", "year"]
                    });
                }
            }
            if (Ext.NestedList) {
                Ext.define('Ext.NestedList', {
                    backText: "返回",
                    loadingText: "加载中...",
                    emptyText: "没有数据."
                });
            }
            if (Ext.MessageBox) {
                Ext.MessageBox.OK.text = "确定";
                Ext.MessageBox.CANCEL.text = "取消";
                Ext.MessageBox.YES.text = "是";
                Ext.MessageBox.NO.text = "否";
                Ext.MessageBox.YESNO = [
                    {
                        text: "是",
                        itemId: "yes",
                        ui: "action"
                    },
                    {
                        text: "否",
                        itemId: "no"
                    }
                ]
            }
        }
    };
})();